Run of unchanged for golang-github-gophercloud-gophercloud

Try this locally (using silver-platter):

debian-svp just-build --revision=git-v1:9852de3c4c5c36ea1d5009a6d9376b49dbba4ab3 golang-github-gophercloud-gophercloud 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
[2021-04-07 16:06:11] Running ['just-build', '--revision=git-v1:9852de3c4c5c36ea1d5009a6d9376b49dbba4ab3']
[2021-04-07 16:06:11] Opening branch at https://salsa.debian.org/go-team/packages/golang-github-gophercloud-gophercloud.git/,branch=debian%2Fsid
[2021-04-07 16:06:13] Using cached branch https://janitor.debian.net/git/golang-github-gophercloud-gophercloud/,branch=debian%2Flatest
[2021-04-07 16:06:23] Total 36570 (delta 31), reused 0 (delta 0), pack-reused 36535
[2021-04-07 16:06:39] 295)
[2021-04-07 16:06:39] 0/3295)
[2021-04-07 16:06:39] 6% (54/890)
[2021-04-07 16:06:39]   35% (312/890)
[2021-04-07 16:06:39]   95% (846/890)
[2021-04-07 16:06:40] Total 2491 (delta 1482), reused 2445 (delta 1451), pack-reused 0
[2021-04-07 16:08:58] All changes applied successfully.
[2021-04-07 16:08:58] Workspace ready - starting.
[2021-04-07 16:11:17] All changes applied successfully.
[2021-04-07 16:11:17] Opened schroot session unstable-amd64-sbuild-6fb6cd70-4b39-4304-8d76-dd4086eb0277 (from unstable-amd64-sbuild)
[2021-04-07 16:11:17] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unaccpetable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f20c93f2a90>, [functools.partial(<function python_tie_breaker at 0x7f20ca47e670>, <GitWorkingTree of /tmp/tmpjo1ys3ly/golang-github-gophercloud-gophercloud>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-6fb6cd70-4b39-4304-8d76-dd4086eb0277'), <function popcon_tie_breaker at 0x7f20b7caddc0>]))]
[2021-04-07 16:11:17] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-07 16:26:17] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:23] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:28] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:33] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:38] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:43] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:48] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:54] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:26:59] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:27:04] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:27:09] progress ws: Unable to connect: 502, message='Invalid response status', url=URL('https://janitor.debian.net/api/ws/active-runs/826843d3-db60-4986-9e90-60011013c705/progress')
[2021-04-07 16:28:49] Built ['golang-github-gophercloud-gophercloud_0.6.0-1~jan+unchanged1_amd64.changes'].
[2021-04-07 16:28:49] Running lintian
[2021-04-07 16:29:44] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
[2021-04-07 16:29:46] Pushing packaging branch cache to https://janitor.debian.net/git/golang-github-gophercloud-gophercloud,branch=debian%2Flatest
Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 555, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.9/http/client.py", line 522, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 587, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.9/http/client.py", line 557, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 267, in run_worker
    push_branch(
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 178, in push_branch
    target.push_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 680, in push_branch
    dw_result = self.send_pack(get_changed_refs, generate_pack_data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2006, in send_pack
    ref_status = self._handle_receive_pack_tail(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 696, in _handle_receive_pack_tail
    self._read_side_band64k_data(proto, channel_callbacks)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 586, in _read_side_band64k_data
    for pkt in proto.read_pkt_seq():
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 285, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 228, in read_pkt_line
    sizestr = read(4)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1913, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.9/http/client.py", line 458, in read
    n = self.readinto(b)
  File "/usr/lib/python3.9/http/client.py", line 492, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.9/http/client.py", line 603, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Full worker log Full build log